/// <reference types="react" />
import React from 'react';
interface ModalProps {
    visible: boolean;
    onCancel: (e: any) => void;
    container?: HTMLElement | null;
}
declare class Modal extends React.PureComponent<ModalProps> {
    static hasShowWarning: boolean;
    render(): false | React.ReactPortal | null;
}
export { Modal as default, Modal, ModalProps };
